Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.provider
Class PrincipalValidatorImpl

    java.lang.Object
      weblogic.security.provider.PrincipalValidatorImpl

All Implemented Interfaces:
  PrincipalValidator

public class PrincipalValidatorImpl
extends Object
implements PrincipalValidator

The runtime class for the WebLogic Principal Validation provider, which signs and validates `WLSPrincipal`s. You can either make this your Authentication provider's Principal Validation provider, or extend this class and then make the extended class your Principal Validation provider.

See Also:
  `WLSPrincipal`

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`PrincipalValidatorImpl()` Constructs an instance of the Principal Validation provider.

Method Summary
`Class` | `getPrincipalBaseClass()` Gets the `weblogic.security.provider.WLSPrincipal` base class.
`boolean` | `sign(Principal principal)` Signs the principal to assure trust.
`boolean` | `validate(Principal principal)` Verifies that the principal has not been altered since it was signed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrincipalValidatorImpl

    public PrincipalValidatorImpl()

  Constructs an instance of the Principal Validation provider.

Method Detail

### getPrincipalBaseClass

    public Class getPrincipalBaseClass()

  Gets the `weblogic.security.provider.WLSPrincipal` base class.

  Specified by:
    `getPrincipalBaseClass` in interface `PrincipalValidator`
  Returns:
    `weblogic.security.provider.WLSPrincipal`.

### sign

    public boolean sign(Principal principal)

  Description copied from interface: `PrincipalValidator`
  Signs the principal to assure trust.

  Specified by:
    `sign` in interface `PrincipalValidator`
  Parameters:
    `principal` - the principal to sign.

  Returns:
    `TRUE` if the principal has been signed, `FALSE` if the principal has not been signed.

### validate

    public boolean validate(Principal principal)
                     throws SecurityException

  Description copied from interface: `PrincipalValidator`
  Verifies that the principal has not been altered since it was signed.

  Specified by:
    `validate` in interface `PrincipalValidator`
  Parameters:
    `principal` - the principal to validate.

  Returns:
    `TRUE` if the principal has been validated, `FALSE` if the principal has not been validated.

  Throws:
    `SecurityException` - if the signature is invalid.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD